org.apache.poi.hmef.attribute

## Class TNEFDateAttribute

- java.lang.Object
- - org.apache.poi.hmef.attribute.TNEFAttribute
  - - org.apache.poi.hmef.attribute.TNEFDateAttribute

-     public final class TNEFDateAttribute
      extends TNEFAttribute

  A Date attribute which applies to a `HMEFMessage` or one of its `Attachment`s.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TNEFDateAttribute(int id, int type, java.io.InputStream inp)` Constructs a single new date attribute from the id, type, and the contents of the stream

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Date` | `getAsDate(TNEFAttribute attr)` Returns the Date of a Attribute, converting as appropriate
    `java.util.Date` | `getDate()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hmef.attribute.TNEFAttribute

      `create, getData, getProperty, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TNEFDateAttribute

          protected TNEFDateAttribute(int id,
                                      int type,
                                      java.io.InputStream inp)
                               throws java.io.IOException

      Constructs a single new date attribute from the id, type, and the contents of the stream
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getDate

          public java.util.Date getDate()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `TNEFAttribute`

    - #### getAsDate

          public static java.util.Date getAsDate(TNEFAttribute attr)

      Returns the Date of a Attribute, converting as appropriate

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.